package com.lightinit.hsdataplatformresdir.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class DataCatelogExample extends BaseExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public DataCatelogExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDataNameIsNull() {
            addCriterion("data_name is null");
            return (Criteria) this;
        }

        public Criteria andDataNameIsNotNull() {
            addCriterion("data_name is not null");
            return (Criteria) this;
        }

        public Criteria andDataNameEqualTo(String value) {
            addCriterion("data_name =", value, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameNotEqualTo(String value) {
            addCriterion("data_name <>", value, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameGreaterThan(String value) {
            addCriterion("data_name >", value, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameGreaterThanOrEqualTo(String value) {
            addCriterion("data_name >=", value, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameLessThan(String value) {
            addCriterion("data_name <", value, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameLessThanOrEqualTo(String value) {
            addCriterion("data_name <=", value, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameLike(String value) {
            addCriterion("data_name like", value, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameNotLike(String value) {
            addCriterion("data_name not like", value, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameIn(List<String> values) {
            addCriterion("data_name in", values, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameNotIn(List<String> values) {
            addCriterion("data_name not in", values, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameBetween(String value1, String value2) {
            addCriterion("data_name between", value1, value2, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataNameNotBetween(String value1, String value2) {
            addCriterion("data_name not between", value1, value2, "dataName");
            return (Criteria) this;
        }

        public Criteria andDataCodeIsNull() {
            addCriterion("data_code is null");
            return (Criteria) this;
        }

        public Criteria andDataCodeIsNotNull() {
            addCriterion("data_code is not null");
            return (Criteria) this;
        }

        public Criteria andDataCodeEqualTo(String value) {
            addCriterion("data_code =", value, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeNotEqualTo(String value) {
            addCriterion("data_code <>", value, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeGreaterThan(String value) {
            addCriterion("data_code >", value, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeGreaterThanOrEqualTo(String value) {
            addCriterion("data_code >=", value, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeLessThan(String value) {
            addCriterion("data_code <", value, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeLessThanOrEqualTo(String value) {
            addCriterion("data_code <=", value, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeLike(String value) {
            addCriterion("data_code like", value, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeNotLike(String value) {
            addCriterion("data_code not like", value, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeIn(List<String> values) {
            addCriterion("data_code in", values, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeNotIn(List<String> values) {
            addCriterion("data_code not in", values, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeBetween(String value1, String value2) {
            addCriterion("data_code between", value1, value2, "dataCode");
            return (Criteria) this;
        }

        public Criteria andDataCodeNotBetween(String value1, String value2) {
            addCriterion("data_code not between", value1, value2, "dataCode");
            return (Criteria) this;
        }

        public Criteria andSupplierIsNull() {
            addCriterion("supplier is null");
            return (Criteria) this;
        }

        public Criteria andSupplierIsNotNull() {
            addCriterion("supplier is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierEqualTo(Long value) {
            addCriterion("supplier =", value, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierNotEqualTo(Long value) {
            addCriterion("supplier <>", value, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierGreaterThan(Long value) {
            addCriterion("supplier >", value, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierGreaterThanOrEqualTo(Long value) {
            addCriterion("supplier >=", value, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierLessThan(Long value) {
            addCriterion("supplier <", value, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierLessThanOrEqualTo(Long value) {
            addCriterion("supplier <=", value, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierIn(List<Long> values) {
            addCriterion("supplier in", values, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierNotIn(List<Long> values) {
            addCriterion("supplier not in", values, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierBetween(Long value1, Long value2) {
            addCriterion("supplier between", value1, value2, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierNotBetween(Long value1, Long value2) {
            addCriterion("supplier not between", value1, value2, "supplier");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptIsNull() {
            addCriterion("supplier_dept is null");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptIsNotNull() {
            addCriterion("supplier_dept is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptEqualTo(Long value) {
            addCriterion("supplier_dept =", value, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptNotEqualTo(Long value) {
            addCriterion("supplier_dept <>", value, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptGreaterThan(Long value) {
            addCriterion("supplier_dept >", value, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptGreaterThanOrEqualTo(Long value) {
            addCriterion("supplier_dept >=", value, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptLessThan(Long value) {
            addCriterion("supplier_dept <", value, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptLessThanOrEqualTo(Long value) {
            addCriterion("supplier_dept <=", value, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptIn(List<Long> values) {
            addCriterion("supplier_dept in", values, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptNotIn(List<Long> values) {
            addCriterion("supplier_dept not in", values, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptBetween(Long value1, Long value2) {
            addCriterion("supplier_dept between", value1, value2, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierDeptNotBetween(Long value1, Long value2) {
            addCriterion("supplier_dept not between", value1, value2, "supplierDept");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeIsNull() {
            addCriterion("supplier_code is null");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeIsNotNull() {
            addCriterion("supplier_code is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeEqualTo(String value) {
            addCriterion("supplier_code =", value, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeNotEqualTo(String value) {
            addCriterion("supplier_code <>", value, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeGreaterThan(String value) {
            addCriterion("supplier_code >", value, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeGreaterThanOrEqualTo(String value) {
            addCriterion("supplier_code >=", value, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeLessThan(String value) {
            addCriterion("supplier_code <", value, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeLessThanOrEqualTo(String value) {
            addCriterion("supplier_code <=", value, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeLike(String value) {
            addCriterion("supplier_code like", value, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeNotLike(String value) {
            addCriterion("supplier_code not like", value, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeIn(List<String> values) {
            addCriterion("supplier_code in", values, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeNotIn(List<String> values) {
            addCriterion("supplier_code not in", values, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeBetween(String value1, String value2) {
            addCriterion("supplier_code between", value1, value2, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andSupplierCodeNotBetween(String value1, String value2) {
            addCriterion("supplier_code not between", value1, value2, "supplierCode");
            return (Criteria) this;
        }

        public Criteria andDataSummaryIsNull() {
            addCriterion("data_summary is null");
            return (Criteria) this;
        }

        public Criteria andDataSummaryIsNotNull() {
            addCriterion("data_summary is not null");
            return (Criteria) this;
        }

        public Criteria andDataSummaryEqualTo(String value) {
            addCriterion("data_summary =", value, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryNotEqualTo(String value) {
            addCriterion("data_summary <>", value, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryGreaterThan(String value) {
            addCriterion("data_summary >", value, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryGreaterThanOrEqualTo(String value) {
            addCriterion("data_summary >=", value, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryLessThan(String value) {
            addCriterion("data_summary <", value, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryLessThanOrEqualTo(String value) {
            addCriterion("data_summary <=", value, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryLike(String value) {
            addCriterion("data_summary like", value, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryNotLike(String value) {
            addCriterion("data_summary not like", value, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryIn(List<String> values) {
            addCriterion("data_summary in", values, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryNotIn(List<String> values) {
            addCriterion("data_summary not in", values, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryBetween(String value1, String value2) {
            addCriterion("data_summary between", value1, value2, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSummaryNotBetween(String value1, String value2) {
            addCriterion("data_summary not between", value1, value2, "dataSummary");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeIsNull() {
            addCriterion("data_source_type is null");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeIsNotNull() {
            addCriterion("data_source_type is not null");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeEqualTo(String value) {
            addCriterion("data_source_type =", value, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeNotEqualTo(String value) {
            addCriterion("data_source_type <>", value, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeGreaterThan(String value) {
            addCriterion("data_source_type >", value, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeGreaterThanOrEqualTo(String value) {
            addCriterion("data_source_type >=", value, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeLessThan(String value) {
            addCriterion("data_source_type <", value, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeLessThanOrEqualTo(String value) {
            addCriterion("data_source_type <=", value, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeLike(String value) {
            addCriterion("data_source_type like", value, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeNotLike(String value) {
            addCriterion("data_source_type not like", value, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeIn(List<String> values) {
            addCriterion("data_source_type in", values, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeNotIn(List<String> values) {
            addCriterion("data_source_type not in", values, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeBetween(String value1, String value2) {
            addCriterion("data_source_type between", value1, value2, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceTypeNotBetween(String value1, String value2) {
            addCriterion("data_source_type not between", value1, value2, "dataSourceType");
            return (Criteria) this;
        }

        public Criteria andDataSourceIsNull() {
            addCriterion("data_source is null");
            return (Criteria) this;
        }

        public Criteria andDataSourceIsNotNull() {
            addCriterion("data_source is not null");
            return (Criteria) this;
        }

        public Criteria andDataSourceEqualTo(String value) {
            addCriterion("data_source =", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotEqualTo(String value) {
            addCriterion("data_source <>", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceGreaterThan(String value) {
            addCriterion("data_source >", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceGreaterThanOrEqualTo(String value) {
            addCriterion("data_source >=", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceLessThan(String value) {
            addCriterion("data_source <", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceLessThanOrEqualTo(String value) {
            addCriterion("data_source <=", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceLike(String value) {
            addCriterion("data_source like", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotLike(String value) {
            addCriterion("data_source not like", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceIn(List<String> values) {
            addCriterion("data_source in", values, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotIn(List<String> values) {
            addCriterion("data_source not in", values, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceBetween(String value1, String value2) {
            addCriterion("data_source between", value1, value2, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotBetween(String value1, String value2) {
            addCriterion("data_source not between", value1, value2, "dataSource");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleIsNull() {
            addCriterion("update_cycle is null");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleIsNotNull() {
            addCriterion("update_cycle is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleEqualTo(String value) {
            addCriterion("update_cycle =", value, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleNotEqualTo(String value) {
            addCriterion("update_cycle <>", value, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleGreaterThan(String value) {
            addCriterion("update_cycle >", value, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleGreaterThanOrEqualTo(String value) {
            addCriterion("update_cycle >=", value, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleLessThan(String value) {
            addCriterion("update_cycle <", value, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleLessThanOrEqualTo(String value) {
            addCriterion("update_cycle <=", value, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleLike(String value) {
            addCriterion("update_cycle like", value, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleNotLike(String value) {
            addCriterion("update_cycle not like", value, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleIn(List<String> values) {
            addCriterion("update_cycle in", values, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleNotIn(List<String> values) {
            addCriterion("update_cycle not in", values, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleBetween(String value1, String value2) {
            addCriterion("update_cycle between", value1, value2, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andUpdateCycleNotBetween(String value1, String value2) {
            addCriterion("update_cycle not between", value1, value2, "updateCycle");
            return (Criteria) this;
        }

        public Criteria andPublishTimeIsNull() {
            addCriterion("publish_time is null");
            return (Criteria) this;
        }

        public Criteria andPublishTimeIsNotNull() {
            addCriterion("publish_time is not null");
            return (Criteria) this;
        }

        public Criteria andPublishTimeEqualTo(Date value) {
            addCriterion("publish_time =", value, "publishTime");
            return (Criteria) this;
        }

        public Criteria andPublishTimeNotEqualTo(Date value) {
            addCriterion("publish_time <>", value, "publishTime");
            return (Criteria) this;
        }

        public Criteria andPublishTimeGreaterThan(Date value) {
            addCriterion("publish_time >", value, "publishTime");
            return (Criteria) this;
        }

        public Criteria andPublishTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("publish_time >=", value, "publishTime");
            return (Criteria) this;
        }

        public Criteria andPublishTimeLessThan(Date value) {
            addCriterion("publish_time <", value, "publishTime");
            return (Criteria) this;
        }

        public Criteria andPublishTimeLessThanOrEqualTo(Date value) {
            addCriterion("publish_time <=", value, "publishTime");
            return (Criteria) this;
        }

        public Criteria andPublishTimeIn(List<Date> values) {
            addCriterion("publish_time in", values, "publishTime");
            return (Criteria) this;
        }

        public Criteria andPublishTimeNotIn(List<Date> values) {
            addCriterion("publish_time not in", values, "publishTime");
            return (Criteria) this;
        }

        public Criteria andPublishTimeBetween(Date value1, Date value2) {
            addCriterion("publish_time between", value1, value2, "publishTime");
            return (Criteria) this;
        }

        public Criteria andPublishTimeNotBetween(Date value1, Date value2) {
            addCriterion("publish_time not between", value1, value2, "publishTime");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeIsNull() {
            addCriterion("catelog_type is null");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeIsNotNull() {
            addCriterion("catelog_type is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeEqualTo(String value) {
            addCriterion("catelog_type =", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeNotEqualTo(String value) {
            addCriterion("catelog_type <>", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeGreaterThan(String value) {
            addCriterion("catelog_type >", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeGreaterThanOrEqualTo(String value) {
            addCriterion("catelog_type >=", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeLessThan(String value) {
            addCriterion("catelog_type <", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeLessThanOrEqualTo(String value) {
            addCriterion("catelog_type <=", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeLike(String value) {
            addCriterion("catelog_type like", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeNotLike(String value) {
            addCriterion("catelog_type not like", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeIn(List<String> values) {
            addCriterion("catelog_type in", values, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeNotIn(List<String> values) {
            addCriterion("catelog_type not in", values, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeBetween(String value1, String value2) {
            addCriterion("catelog_type between", value1, value2, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeNotBetween(String value1, String value2) {
            addCriterion("catelog_type not between", value1, value2, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicIsNull() {
            addCriterion("catelog_basic is null");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicIsNotNull() {
            addCriterion("catelog_basic is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicEqualTo(Long value) {
            addCriterion("catelog_basic =", value, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicNotEqualTo(Long value) {
            addCriterion("catelog_basic <>", value, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicGreaterThan(Long value) {
            addCriterion("catelog_basic >", value, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicGreaterThanOrEqualTo(Long value) {
            addCriterion("catelog_basic >=", value, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicLessThan(Long value) {
            addCriterion("catelog_basic <", value, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicLessThanOrEqualTo(Long value) {
            addCriterion("catelog_basic <=", value, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicIn(List<Long> values) {
            addCriterion("catelog_basic in", values, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicNotIn(List<Long> values) {
            addCriterion("catelog_basic not in", values, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicBetween(Long value1, Long value2) {
            addCriterion("catelog_basic between", value1, value2, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogBasicNotBetween(Long value1, Long value2) {
            addCriterion("catelog_basic not between", value1, value2, "catelogBasic");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorIsNull() {
            addCriterion("catelog_sector is null");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorIsNotNull() {
            addCriterion("catelog_sector is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorEqualTo(Long value) {
            addCriterion("catelog_sector =", value, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorNotEqualTo(Long value) {
            addCriterion("catelog_sector <>", value, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorGreaterThan(Long value) {
            addCriterion("catelog_sector >", value, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorGreaterThanOrEqualTo(Long value) {
            addCriterion("catelog_sector >=", value, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorLessThan(Long value) {
            addCriterion("catelog_sector <", value, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorLessThanOrEqualTo(Long value) {
            addCriterion("catelog_sector <=", value, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorIn(List<Long> values) {
            addCriterion("catelog_sector in", values, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorNotIn(List<Long> values) {
            addCriterion("catelog_sector not in", values, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorBetween(Long value1, Long value2) {
            addCriterion("catelog_sector between", value1, value2, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogSectorNotBetween(Long value1, Long value2) {
            addCriterion("catelog_sector not between", value1, value2, "catelogSector");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeIsNull() {
            addCriterion("catelog_theme is null");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeIsNotNull() {
            addCriterion("catelog_theme is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeEqualTo(Long value) {
            addCriterion("catelog_theme =", value, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeNotEqualTo(Long value) {
            addCriterion("catelog_theme <>", value, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeGreaterThan(Long value) {
            addCriterion("catelog_theme >", value, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeGreaterThanOrEqualTo(Long value) {
            addCriterion("catelog_theme >=", value, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeLessThan(Long value) {
            addCriterion("catelog_theme <", value, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeLessThanOrEqualTo(Long value) {
            addCriterion("catelog_theme <=", value, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeIn(List<Long> values) {
            addCriterion("catelog_theme in", values, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeNotIn(List<Long> values) {
            addCriterion("catelog_theme not in", values, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeBetween(Long value1, Long value2) {
            addCriterion("catelog_theme between", value1, value2, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogThemeNotBetween(Long value1, Long value2) {
            addCriterion("catelog_theme not between", value1, value2, "catelogTheme");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomIsNull() {
            addCriterion("catelog_custom is null");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomIsNotNull() {
            addCriterion("catelog_custom is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomEqualTo(Long value) {
            addCriterion("catelog_custom =", value, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomNotEqualTo(Long value) {
            addCriterion("catelog_custom <>", value, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomGreaterThan(Long value) {
            addCriterion("catelog_custom >", value, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomGreaterThanOrEqualTo(Long value) {
            addCriterion("catelog_custom >=", value, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomLessThan(Long value) {
            addCriterion("catelog_custom <", value, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomLessThanOrEqualTo(Long value) {
            addCriterion("catelog_custom <=", value, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomIn(List<Long> values) {
            addCriterion("catelog_custom in", values, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomNotIn(List<Long> values) {
            addCriterion("catelog_custom not in", values, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomBetween(Long value1, Long value2) {
            addCriterion("catelog_custom between", value1, value2, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCatelogCustomNotBetween(Long value1, Long value2) {
            addCriterion("catelog_custom not between", value1, value2, "catelogCustom");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("created_by is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("created_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(Long value) {
            addCriterion("created_by =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(Long value) {
            addCriterion("created_by <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(Long value) {
            addCriterion("created_by >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(Long value) {
            addCriterion("created_by >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(Long value) {
            addCriterion("created_by <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(Long value) {
            addCriterion("created_by <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<Long> values) {
            addCriterion("created_by in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<Long> values) {
            addCriterion("created_by not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(Long value1, Long value2) {
            addCriterion("created_by between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(Long value1, Long value2) {
            addCriterion("created_by not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNull() {
            addCriterion("deleted_at is null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNotNull() {
            addCriterion("deleted_at is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtEqualTo(Date value) {
            addCriterion("deleted_at =", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotEqualTo(Date value) {
            addCriterion("deleted_at <>", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThan(Date value) {
            addCriterion("deleted_at >", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("deleted_at >=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThan(Date value) {
            addCriterion("deleted_at <", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThanOrEqualTo(Date value) {
            addCriterion("deleted_at <=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIn(List<Date> values) {
            addCriterion("deleted_at in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotIn(List<Date> values) {
            addCriterion("deleted_at not in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtBetween(Date value1, Date value2) {
            addCriterion("deleted_at between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotBetween(Date value1, Date value2) {
            addCriterion("deleted_at not between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNull() {
            addCriterion("deleted_by is null");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNotNull() {
            addCriterion("deleted_by is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedByEqualTo(Long value) {
            addCriterion("deleted_by =", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotEqualTo(Long value) {
            addCriterion("deleted_by <>", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThan(Long value) {
            addCriterion("deleted_by >", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThanOrEqualTo(Long value) {
            addCriterion("deleted_by >=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThan(Long value) {
            addCriterion("deleted_by <", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThanOrEqualTo(Long value) {
            addCriterion("deleted_by <=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByIn(List<Long> values) {
            addCriterion("deleted_by in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotIn(List<Long> values) {
            addCriterion("deleted_by not in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByBetween(Long value1, Long value2) {
            addCriterion("deleted_by between", value1, value2, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotBetween(Long value1, Long value2) {
            addCriterion("deleted_by not between", value1, value2, "deletedBy");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}